## freeverb freeverb |

## Properties

gfloat | damping | Read / Write / Construct
gfloat | level | Read / Write / Construct
gfloat | room-size | Read / Write / Construct
gfloat | width | Read / Write / Construct

## Types and Values

struct | GstFreeverb

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstFreeverb

## Implemented Interfaces

GstFreeverb implements GstPreset.

## Description

Reverberation/room effect.

#### Example launch line

    1
    2
    gst-launch-1.0 audiotestsrc wave=saw ! freeverb ! autoaudiosink
    gst-launch-1.0 filesrc location="melo1.ogg" ! decodebin ! audioconvert ! freeverb ! autoaudiosink

## Synopsis

### Element Information

plugin | freeverb
author | Stefan Sauer <ensonic@users.sf.net>
class | Filter/Effect/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string){ F32LE, S16LE }, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2 ], layout=(string)interleaved

name | src
direction | source
presence | always
details | audio/x-raw, format=(string){ F32LE, S16LE }, rate=(int)[ 1, 2147483647 ], channels=(int)2, layout=(string)interleaved

## Functions

## Types and Values

### struct GstFreeverb

    struct GstFreeverb;

## Property Details

### The `“damping”` property

      “damping”                  gfloat

Damping of high frequencies.

Flags: Read / Write / Construct

Allowed values: [0,1]

Default value: 0.2

### The `“level”` property

      “level”                    gfloat

dry/wet level.

Flags: Read / Write / Construct

Allowed values: [0,1]

Default value: 0.5

### The `“room-size”` property

      “room-size”                gfloat

Size of the simulated room.

Flags: Read / Write / Construct

Allowed values: [0,1]

Default value: 0.5

### The `“width”` property

      “width”                    gfloat

Stereo panorama width.

Flags: Read / Write / Construct

Allowed values: [0,1]

Default value: 1